Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.progress
Interface IdeProgress

public interface IdeProgress

Interface `IdeProgress` represents a progress indicator that is displayed on the screen.

`IdeProgress` is created and started via `IdeProgressIndicator`'s start method.

This interface provides methods that stop this progress indicator, inquire and set the current step and its description.

Author:
  TogetherSoft

Method Summary
`int` | `getCount()` Returns the current step of this indicator.
`String` | `getStep()` Returns a description string of the current step.
`boolean` | `isCancelRequested()` Returns `true` if the user does some UI action to cancel this operation.
`boolean` | `isStarted()` Checks whether this indicator is started.
`void` | `setCount(int count)` Sets the current step for this indicator.
`void` | `setStep(String description)` Sets the description for the current step.
`void` | `stop()` Stops this indicator.

Method Detail

### getCount

    public int getCount()

  Returns the current step of this indicator. A description for this step can be obtained via `getStep` method
  Returns: the integer with the current step
  See Also:
    setCount(int), getStep()

### getStep

    public String getStep()

  Returns a description string of the current step. A value of the current step can be obtained via `getCount` method.
  Returns: a description `String`
  See Also:
    setStep(java.lang.String), getCount()

### isCancelRequested

    public boolean isCancelRequested()

  Returns `true` if the user does some UI action to cancel this operation. (like hitting the Cancel button).

### isStarted

    public boolean isStarted()

  Checks whether this indicator is started.
  Returns: `true` if this indicator is started, `false` otherwise
  See Also:
    stop()

### setCount

    public void setCount(int count)

  Sets the current step for this indicator. A description for this step can be set via `setStep` method.
  Parameters:
    count - `int` step to be set
  See Also:
    getCount(), setStep(java.lang.String)

### setStep

    public void setStep(String description)

  Sets the description for the current step. This string can be displayed using special format of a `messageFormat` string passed to the IdeProgressIndicator.start method at the moment this indicator is created. The value of the current step can be set via `setCount` method.
  Parameters:
    description - `String` that makes an inventory of this step
  See Also:
    getStep(), setCount(int)

### stop

    public void stop()

  Stops this indicator.
  See Also:
    isStarted()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD